.TH COMPF0 PCB "20th January 1992" "Ph.D. Release 1.0" "PhD USER COMMANDS"
.SH NAME
compf0 \- compare files describing F0 contours in Xmg format
.SH SYNOPSIS
.B compf0
.I correct_F0_file
.I pda_F0_file
[
.I appended_stats_file
]
.SH DESCRIPTION
The two F0 contour description files, \fIcorrect_F0_file\fP and
\fIpda_F0_file\fP are assumed to contain headers for Xmg and data in
ascii format as generated by \fBpm_freq\fP and \fBadlb_xmg\fP. These files
may be asynchronous representations of F0 contours and may be of different
lengths. At times where the F0 value is known for one of the contours (from
the file) but not the other, the unknown one is inferred from its data by
interpolating between the two F0 points known to lie at either side. The files
are thus internally synchronised. A contour is assumed to represent unvoiced
speech for times outside the scope of its data description.
.PP
The comparison of the contours yields the following statistics:
.RS
.TP 3
\(bu
The total duration in milliseconds, for which the correct F0 contour given
in \fIcorrect_F0_file\fP represents unvoiced speech (breaks indicated by an
equals character (=)), but the
pda F0 contour given in \fIpda_F0_file\fP represents voiced speech (ie.
Unvoiced errors).
.TP 3
\(bu
The total number of continuous sections for which unvoiced errors occurred.
.TP 3
\(bu
The total duration in milliseconds, for which the correct F0 contour
represents voiced speech, but the pda F0 contour represents unvoiced speech
(ie. Voiced errors).
.TP 3
\(bu
The total number of continuous sections for which voiced errors occurred.
.TP 3
\(bu
The number of synchronous comparisons in which the ratio,
(\fIpda F0 value\fP \- \fIcorrect F0 value\fP) divided by \fIcorrect F0
value\fP is greater than 0.2, and both
contours represent voiced speech (gross error (pitch double or more?)).
.TP 3
\(bu
The number of synchronous comparisons in which the ratio,
(\fIcorrect F0 value\fP \- \fIpda F0 value\fP) divided by \fIcorrect F0
value\fP is greater than 0.2, and
both contours represent voiced speech (gross error (pitch half or less?)).
.TP 3
\(bu
The average distance (Hz) between the contours at times when both represent
voiced speech, excluding when gross errors occur.
.TP 3
\(bu
The population standard deviation of the distance (Hz) between the contours
at times when both represent
voiced speech, excluding when gross errors occur.
.RE
.PP
These statistics are written to the file stream \fIstdout\fP in a user readable
form, or appended to the end of the file \fIappended_stats_file\fP, if given,
in an abstact data form.
.SH OPTIONS
.TP 8
.B \fIappended_stats_file\fB
write statistics of comparison to the end of file \fIappended_stats_file\fP.
The default is the file stream \fIstdout\fP.
.SH SEE ALSO
adlb_xmg (PCB) \- convert an Audlab headed track and label files to Xmg format.
.br
mix_stats (PCB) \- accumulate F0 contour comparison statistics.
.br
pm_freq (PCB) \- pitch mark data to Xmg\-format F0 contour.
.SH DIAGNOSTICS
The diagnostics produced by COMPF0 are intended to be self\-explanatory.
.SH BUGS
None known.
.SH AUTHOR
Paul Bagshaw
.br
Centre for Speech Technology Research
.br
University of Edinburgh
.br
80 South Bridge
.br
Edinburgh EH1 1HN
.PP
COPYRIGHT \(co 1992
